package open.dolphin.infomodel;

import open.dolphin.queries.DolphinQuery;

/**
 * ProgressCourse
 * 
 * @author Kazushi Minagawa, Digital Globe, Inc.
 *
 */
public class ProgressCourse extends InfoModel {//id

    private static final long serialVersionUID = -8741238869253717241L;
    private String freeText;

    @Override
    public boolean search(DolphinQuery query) {
        if (freeText != null) {
            return (freeText.indexOf(query.what("keyword")) != -1);
        }
        return false;
    }

    public void setFreeText(String freeText) {
        this.freeText = freeText;
    }

    public String getFreeText() {
        return freeText;
    }
}
